Package com.plannaplan.exceptions

# Class UserNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.plannaplan.exceptions.UserNotFoundException

All Implemented Interfaces:
  `java.io.Serializable`

    public class UserNotFoundException
    extends java.lang.Exception

Exception to be thrown when provided user does not exist in database

See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UserNotFoundException​(java.lang.String message)` |

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UserNotFoundException

public UserNotFoundException​(java.lang.String message)